﻿using InternetShopContracts.DataViewModels;
using InternetShopDataModels.Models;

namespace InternetShopContracts.DataBindingModels
{
    public class OrderBindingModel : IOrderModel
    {
        public string CustomerFIO { get; set; } = string.Empty;
        public string CustomerEmail { get; set; } = string.Empty;
        public string ImagePath { get; set; } = string.Empty;
        public List<string> ProductNames { get; set; } = new List<string>();
        public int Id { get; set; }

        public static OrderBindingModel FromViewModel(OrderViewModel viewModel)
        {
            OrderBindingModel model = new OrderBindingModel();
            model.Id = viewModel.Id;
            model.CustomerFIO = viewModel.CustomerFIO;
            model.CustomerEmail = viewModel.CustomerEmail;
            model.ImagePath = viewModel.ImagePath;
            model.ProductNames = viewModel.ProductNames;
            return model;
        }
    }
}
